#
# spec file for package rubygem-rspec-puppet
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-rspec-puppet
Version:        2.4.0
Release:        2.3
%define mod_name rspec-puppet
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            https://github.com/rodjek/rspec-puppet/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        RSpec tests for your Puppet manifests
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
RSpec tests for your Puppet manifests.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md README.md" \
  -f

%gem_packages

%changelog
* Sat Jul 30 2016 tampakrap@opensuse.org
- Version bump 2.4.0:
  - 2.4.0:
  - This release now supports testing exported resources in the same way that
    normal resources in the catalog are tested. Access them in your examples
    using `exported_resources`. See "Testing Exported Resources" in the
    README for examples.
  - This release pulls out much of the version-specific code into separate
    classes to reduce complexity and enable easier maintenance going forward.
  - Support colon-separated module_path and environmentpath values.
  - Support a threshold for the code coverage test, that can fail the whole
    run.
  - Ensure a consistent environment for all examples by adding a forced
    initialization of puppet before each.
  - 2.3.2:
  - Properly fix yesterday's issue by unsharing the cache key before passing
    the data to puppet. This also contains a new test matrix to avoid missing
    a half-baked fix like yesterday.
  - 2.3.1:
  - A quick workaround to re-enable testing with the recently released puppet
    3.8.5 and the soon to be released puppet 4.3.2. See PUP-5743 for the
    gritty details. Upgrade to this version if you hit the
    "undefined method \`resource' for nil:NilClass" error.
  - 2.3.0:
  - Rspec-puppet now supports testing custom types, `:undef` values in
    params, structured facts, and checks resource dependencies recursively.
  - The settings in `module_path` and `manifest` are now respected throughout
    the code base. The former default for `module_path`
    (`'/etc/puppet/modules'`) was dropped to avoid accidentally poisoning the
    test environment with unrelated code.
  - To reduce the maintenance overhead of boilerplate code, rspec-puppet now
    provides some of the code that rspec-puppet-init deployed in helper files
    that you can just `require` instead.
  - This release also reduces memory usage on bigger testsuites drastically
    by reducing the caching of compiled catalogs.
  - Limit the catalogue cache to 16 entries. Significant memory savings and
    reduced runtime were observed in testing this.
  - Prevent Puppet 3's \_timestamp fact from invalidating cache.
  - Extracted catalog cache from RSpec::Puppet::Support.
  - Updated README to use the rspec 3 syntax, and additional explanations.
  - `contain_file(...).with_content(...)` will now only show the diff and not
    the full contents of the file.
  - Custom type testing example group and matcher.
  - before/require/subscribe/notify checking now searches recursively through
    all dependencies. `File[a] -> File[b] -> File[c]` is now matched by
    `contain_file('a').that_comes_before('File[c]')`, whereas earlier
    versions would have missed that.
  - `let(:params)` now allows `:undef` to pass a literal undef value through
    to the subject.
  - Support structured facts with keys as symbols or strings (\#295).
  - rspec-puppet-init now creates smaller files, using rspec-puppet helpers,
    instead of pasting code into the module.
  - Added a list of related projects to the README.
  - Fix #276: `compile.and_raise_error` now correctly considers successful
    compilation an error
  - Puppet's `modulepath` can now contain multiple entries and rspec-puppet
    will configure puppet to load code from all of them
  - Support running with rspec 2.99 again
  - non-class resources are now covered by the coverage code
  - Fix #323/MODULES-2374: autorequires checking doesn't abort on "undefined
    method \`[]' for nil:NilClass"
  - improved documentation for hiera integration, added example spec
  - document the `scope` property
* Wed Jun 10 2015 tampakrap@opensuse.org
- Initial commit
